<div class="todo-item">
    <div class="todo-item-left">
        <input type="checkbox" [(ngModel)]="todo.completed" />
        <div *ngIf="!todo.editing; else editingTodo" class="todo-item-label" [ngClass]="{'completed':todo.completed}"
            (dblclick)="todoService.editTodo(todo)">
            {{ todo.title  }}
        </div>
        <ng-template #editingTodo>
            <input type="text" class="todo-item-edit" [(ngModel)]="todo.title" (blur)="todoService.doneEdit(todo)"
                (keyup.enter)="todoService.doneEdit(todo)" (keyup.esc)="todoService.cancelEdit(todo)" autofocus />
        </ng-template>
    </div>
    <div class="remove-item" (click)="todoService.deleteTodo(todo.id)">
        &times;
    </div>
</div>